## dnsviz 0.6.4

=== debian/changelog ===
dnsviz (0.6.4-1+deb9u1) stretch; urgency=medium

  * Cherry-pick upstream fixes related to root.hints and root.keys changes
  * Update gbp.conf for debian/stretch branch

 -- Ondřej Surý <ondrej@debian.org>  Thu, 24 Aug 2017 08:32:18 +0200

dnsviz (0.6.4-1) unstable; urgency=medium

  * Imported upstream version 0.6.4

 -- Ondřej Surý <ondrej@debian.org>  Tue, 01 Nov 2016 15:19:12 +0100

dnsviz (0.6.3-1) unstable; urgency=low

  * Imported upstream version 0.6.3

 -- Ondřej Surý <ondrej@debian.org>  Wed, 12 Oct 2016 11:46:19 +0200

dnsviz (0.6.0-1) unstable; urgency=medium

  [ Ondřej Surý ]
  * Update wikimedia public domain copyright information
  * Imported Upstream version 0.6.0

 -- Ondřej Surý <ondrej@debian.org>  Thu, 08 Sep 2016 14:45:41 +0200

dnsviz (0.5.4-1) unstable; urgency=medium

  * Initial release. (Closes: #774706)

 -- Robert Edmonds <edmonds@debian.org>  Sat, 11 Jun 2016 00:21:13 -0400

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2

override_dh_auto_build:
	$(MAKE) -C doc icons
	dh_auto_build

override_dh_auto_clean:
	$(MAKE) -C doc clean
	dh_auto_clean

## dnsviz 0.8.0

=== requirements.txt ===
dnspython
pygraphviz
m2crypto
libnacl

## dnsviz 0.6.6

=== debian/changelog ===
dnsviz (0.6.6-1) unstable; urgency=medium

  * Imported upstream version 0.6.6

 -- Ondřej Surý <ondrej@debian.org>  Thu, 24 Aug 2017 08:07:12 +0200

=== debian/control ===
Source: dnsviz
Section: net
Priority: optional
Maintainer: Debian DNS Maintainers <pkg-dns-devel@lists.alioth.debian.org>
Uploaders: Robert Edmonds <edmonds@debian.org>, Ondřej Surý <ondrej@debian.org>
Build-Depends:
 debhelper (>= 9~),
 dh-python,
 inkscape,
 python (>= 2.7~),
 python-dnspython (>= 1.11.0~),
 python-m2crypto (>= 0.24.0~),
 python-pygraphviz (>= 1.1~),
Standards-Version: 3.9.8
Homepage: https://github.com/dnsviz/dnsviz
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-dns/dnsviz.git/
Vcs-Git: git://anonscm.debian.org/pkg-dns/dnsviz.git
X-Python-Version: 2.7

Package: dnsviz
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends},
 dns-root-data,
 libjs-jquery,
 libjs-jquery-ui,
 libjs-jquery-ui-theme-redmond,
 libjs-raphael,
Description: Tools for analyzing and visualizing DNS and DNSSEC behavior
 DNSViz is a tool suite for analysis and visualization of Domain Name System
 (DNS) behavior, including its security extensions (DNSSEC). This tool suite
 powers the Web-based analysis available at <http://dnsviz.net/>.

## dnsviz 0.8.0

=== debian/changelog ===
dnsviz (0.8.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to Python 3. (Closes: #933775)
  * Build with pybuild.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 05 Jan 2020 11:36:48 +0200

dnsviz (0.8.0-1) unstable; urgency=medium

  * New upstream version 0.8.0
  * debian/control: Update Vcs-Browser, Vcs-Git
  * debian/control: Bump Standards-Version to 4.3.0 (no changes)
  * debian/control: Update Build-Depends for 0.8.0
  * debian/control: Remove X-Python-Version, per Lintian

 -- Robert Edmonds <edmonds@debian.org>  Sun, 03 Feb 2019 19:46:32 -0500

dnsviz (0.6.6-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Update the maintainer address. (Closes: #899483)

 -- Adrian Bunk <bunk@debian.org>  Sun, 03 Feb 2019 15:51:13 +0200

=== debian/control ===
Source: dnsviz
Section: net
Priority: optional
Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
Uploaders: Robert Edmonds <edmonds@debian.org>, Ondřej Surý <ondrej@debian.org>
Build-Depends:
 debhelper (>= 9~),
 dh-python,
 inkscape,
 python3,
 python3-dnspython (>= 1.13.0~),
 python3-libnacl,
 python3-m2crypto (>= 0.28.0~),
 python3-pygraphviz (>= 1.4~),
Standards-Version: 4.3.0
Homepage: https://github.com/dnsviz/dnsviz
Vcs-Browser: https://salsa.debian.org/dns-team/dnsviz
Vcs-Git: https://salsa.debian.org/dns-team/dnsviz.git

Package: dnsviz
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 dns-root-data,
 libjs-jquery,
 libjs-jquery-ui,
 libjs-jquery-ui-theme-redmond,
 libjs-raphael,
Description: Tools for analyzing and visualizing DNS and DNSSEC behavior
 DNSViz is a tool suite for analysis and visualization of Domain Name System
 (DNS) behavior, including its security extensions (DNSSEC). This tool suite
 powers the Web-based analysis available at <http://dnsviz.net/>.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 %:
-	dh $@ --with python2
+	dh $@ --with python3 --buildsystem pybuild
 
 override_dh_auto_build:
 	$(MAKE) -C doc icons

## dnsviz 0.8.2

=== debian/changelog ===
dnsviz (0.8.2-1) unstable; urgency=medium

  * New upstream version 0.8.2
  * Bump the dh compat to 12
  * Use pybuild instead of python-distutils to build the package
  * Bump the python dependency to python3
  * Fix the inkscape invocation

 -- Ondřej Surý <ondrej@debian.org>  Mon, 11 May 2020 10:36:13 +0200

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
 Uploaders: Robert Edmonds <edmonds@debian.org>, Ondřej Surý <ondrej@debian.org>
 Build-Depends:
- debhelper (>= 9~),
+ debhelper-compat (= 12),
  dh-python,
  inkscape,
- python3,
+ python3-all,
  python3-dnspython (>= 1.13.0~),
  python3-libnacl,
  python3-m2crypto (>= 0.28.0~),
- python3-pygraphviz (>= 1.4~),
+ python3-pygraphviz (>= 1.4~)
 Standards-Version: 4.3.0
 Homepage: https://github.com/dnsviz/dnsviz
 Vcs-Browser: https://salsa.debian.org/dns-team/dnsviz

## dnsviz 0.9.1

=== debian/changelog ===
dnsviz (0.9.1-1) unstable; urgency=medium

  * New upstream version 0.9.1
  * debian/patches/: Refresh patch to setup.py to use packaged Javascript
    libraries
  * debian/copyright: Update
  * debian/control: Update versioned dependency on python3-m2crypto >=
    0.37.1~
  * debian/control: Remove dependency on python3-libnacl

 -- Robert Edmonds <edmonds@debian.org>  Sun, 31 Jan 2021 01:59:32 -0500

## dnsviz 0.9.2

=== debian/changelog ===
dnsviz (0.9.2-1build1) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 16:55:49 +0000

dnsviz (0.9.2-1) unstable; urgency=medium

  * New upstream version 0.9.2

 -- Robert Edmonds <edmonds@debian.org>  Sat, 06 Feb 2021 17:55:58 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dnsviz
 Section: net
 Priority: optional
-Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
 Uploaders: Robert Edmonds <edmonds@debian.org>, Ondřej Surý <ondrej@debian.org>
 Build-Depends:
  debhelper-compat (= 12),
@@ -9,8 +10,7 @@
  inkscape,
  python3-all,
  python3-dnspython (>= 1.13.0~),
- python3-libnacl,
- python3-m2crypto (>= 0.28.0~),
+ python3-m2crypto (>= 0.37.1~),
  python3-pygraphviz (>= 1.4~)
 Standards-Version: 4.3.0
 Homepage: https://github.com/dnsviz/dnsviz

## dnsviz 0.9.3

=== doc/Makefile ===
DOT=dot
INKSCAPE=inkscape
SRCDIR=src
IMGDIR=images

DOTFILES = $(wildcard $(SRCDIR)/*dot)
DOTPNGFILES = $(DOTFILES:$(SRCDIR)/%.dot=$(IMGDIR)/%.png)

all: $(DOTPNGFILES)

# make png files from dot files
$(DOTPNGFILES): $(IMGDIR)/%.png: $(SRCDIR)/%.dot
	$(DOT) -Tpng $< > $@ || ( rm $@ && false )

# make icon-sized png files from warning.svg and error.svg
ICONSVGFILES = $(SRCDIR)/warning.svg $(SRCDIR)/error.svg
ICONPNGFILES = $(ICONSVGFILES:$(SRCDIR)/%.svg=$(IMGDIR)/%.png)
ICONWIDTH = 25

icons: $(ICONPNGFILES)

$(ICONPNGFILES): $(IMGDIR)/%.png: $(SRCDIR)/%.svg
	$(INKSCAPE) -z -w $(ICONWIDTH) -e $@ $<

# make banner png 220x100 file from logo.svg
LOGOSVGFILE = $(SRCDIR)/logo.svg
LOGOBANNERPNGFILE = $(IMGDIR)/logo-220x100.png
LOGOBANNERVIEWBOX = 58 43 381 173
LOGOBANNERHEIGHT = 100

# make square icon png 60x60 file from logo.svg
LOGOICONPNGFILE = $(IMGDIR)/logo-60x60.png
LOGOICONVIEWBOX = 335 43 103 103
LOGOICONHEIGHT = 50

# make square favico png 16x16 file from logo.svg
LOGOFAVICONPNGFILE = $(IMGDIR)/logo-16x16.png
LOGOFAVICONVIEWBOX = 335 43 103 103
LOGOFAVICONHEIGHT = 16

logo: $(LOGOBANNERPNGFILE) $(LOGOICONPNGFILE) $(LOGOFAVICONPNGFILE)

$(LOGOBANNERPNGFILE): $(LOGOSVGFILE)
	cat $< | sed 's/viewBox="0 0 504 252"/viewBox="$(LOGOBANNERVIEWBOX)"/' | $(INKSCAPE) -z -h $(LOGOBANNERHEIGHT) -e $@ /dev/stdin

$(LOGOICONPNGFILE): $(LOGOSVGFILE)
	cat $< | sed 's/viewBox="0 0 504 252"/viewBox="$(LOGOICONVIEWBOX)"/' | $(INKSCAPE) -z -h $(LOGOICONHEIGHT) -e $@ /dev/stdin

$(LOGOFAVICONPNGFILE): $(LOGOSVGFILE)
	cat $< | sed 's/viewBox="0 0 504 252"/viewBox="$(LOGOFAVICONVIEWBOX)"/' | $(INKSCAPE) -z -h $(LOGOFAVICONHEIGHT) -e $@ /dev/stdin

.PHONY: clean

clean:
	rm -rf $(DOTPNGFILES)
	rm -rf $(ICONPNGFILES)
	rm -rf $(LOGOBANNERPNGFILE) $(LOGOICONPNGFILE) $(LOGOFAVICONPNGFILE)

=== debian/changelog ===
dnsviz (0.9.3-1) unstable; urgency=medium

  * New upstream version 0.9.3
    - Targeted upstream fix for dnspython 2.0.0

 -- Robert Edmonds <edmonds@debian.org>  Tue, 16 Mar 2021 16:46:46 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: dnsviz
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
+Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
 Uploaders: Robert Edmonds <edmonds@debian.org>, Ondřej Surý <ondrej@debian.org>
 Build-Depends:
  debhelper-compat (= 12),

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 %:
-	dh $@ --with python3 --buildsystem pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_build:
 	$(MAKE) -C doc icons

=== debian/watch ===
version=3
opts="uversionmangle=s/-/~/" \
https://github.com/dnsviz/dnsviz/releases /dnsviz/dnsviz/releases/download/.*/dnsviz-([0-9.]+)\.tar\.gz

## dnsviz 0.9.4

=== requirements.txt ===
dnspython
pygraphviz
m2crypto

=== debian/changelog ===
dnsviz (0.9.4-1) unstable; urgency=medium

  * New upstream version 0.9.4
  * Fix inscape invocation (Closes: #997329)
   - Remove deprecated -z/--without-gui
   - Replace -e with --export-type=png
   - Set HOME to /var/tmp, so .config can be created

 -- Ondřej Surý <ondrej@debian.org>  Fri, 13 Jan 2023 12:01:44 +0100

## dnsviz 0.11.0

=== doc/Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 icons: $(ICONPNGFILES)
 
 $(ICONPNGFILES): $(IMGDIR)/%.png: $(SRCDIR)/%.svg
-	$(INKSCAPE) -z -w $(ICONWIDTH) -e $@ $<
+	HOME=/var/tmp $(INKSCAPE) --export-width=$(ICONWIDTH) --export-type=png --export-filename=$@ $<
 
 # make banner png 220x100 file from logo.svg
 LOGOSVGFILE = $(SRCDIR)/logo.svg
@@ -41,13 +41,13 @@
 logo: $(LOGOBANNERPNGFILE) $(LOGOICONPNGFILE) $(LOGOFAVICONPNGFILE)
 
 $(LOGOBANNERPNGFILE): $(LOGOSVGFILE)
-	cat $< | sed 's/viewBox="0 0 504 252"/viewBox="$(LOGOBANNERVIEWBOX)"/' | $(INKSCAPE) -z -h $(LOGOBANNERHEIGHT) -e $@ /dev/stdin
+	cat $< | sed 's/viewBox="0 0 504 252"/viewBox="$(LOGOBANNERVIEWBOX)"/' | HOME=/var/tmp $(INKSCAPE) --export-height=$(LOGOBANNERHEIGHT) --export-type=png --export-filename=$@ --pipe
 
 $(LOGOICONPNGFILE): $(LOGOSVGFILE)
-	cat $< | sed 's/viewBox="0 0 504 252"/viewBox="$(LOGOICONVIEWBOX)"/' | $(INKSCAPE) -z -h $(LOGOICONHEIGHT) -e $@ /dev/stdin
+	cat $< | sed 's/viewBox="0 0 504 252"/viewBox="$(LOGOICONVIEWBOX)"/' | HOME=/var/tmp $(INKSCAPE) --export-height=$(LOGOICONHEIGHT) --export-type=png --export-filename=$@ --pipe
 
 $(LOGOFAVICONPNGFILE): $(LOGOSVGFILE)
-	cat $< | sed 's/viewBox="0 0 504 252"/viewBox="$(LOGOFAVICONVIEWBOX)"/' | $(INKSCAPE) -z -h $(LOGOFAVICONHEIGHT) -e $@ /dev/stdin
+	cat $< | sed 's/viewBox="0 0 504 252"/viewBox="$(LOGOFAVICONVIEWBOX)"/' | HOME=/var/tmp $(INKSCAPE) --export-height=$(LOGOFAVICONHEIGHT) --export-type=png --export-filename=$@ --pipe
 
 .PHONY: clean

=== debian/changelog ===
dnsviz (0.11.0-1) unstable; urgency=medium

  * New upstream version 0.11.0
  * debian/control: Bump Standards-Version to 4.7.0 (no changes)
  * debian/control: Bump debhelper compat level from 12 to 13
  * debian/control: Replace python3-m2crypto build dependency with
    python3-cryptography (Closes: #1077610)
  * debian/control: Add build depends on python3-setuptools (Closes:
    #1080911)
  * debian/patches/: Drop patches applied upstream:
    - 0002-Set-HOME-to-var-tmp-for-inkscape-invocations.patch
    - 0003-Fix-inscape-invocation-remove-z-replace-e-with-expor.patch
  * debian/patches/: Refresh patch to setup.py to use packaged Javascript
    libraries
  * debian/rules: Disable test suite

 -- Robert Edmonds <edmonds@debian.org>  Sun, 29 Sep 2024 17:49:45 -0400

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,15 @@
 Maintainer: Debian DNS Team <team+dns@tracker.debian.org>
 Uploaders: Robert Edmonds <edmonds@debian.org>, Ondřej Surý <ondrej@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  inkscape,
  python3-all,
+ python3-cryptography,
  python3-dnspython (>= 1.13.0~),
- python3-m2crypto (>= 0.37.1~),
- python3-pygraphviz (>= 1.4~)
-Standards-Version: 4.3.0
+ python3-pygraphviz (>= 1.4~),
+ python3-setuptools
+Standards-Version: 4.7.0
 Homepage: https://github.com/dnsviz/dnsviz
 Vcs-Browser: https://salsa.debian.org/dns-team/dnsviz
 Vcs-Git: https://salsa.debian.org/dns-team/dnsviz.git

## dnsviz 0.11.1

=== requirements.txt ===
dnspython
pygraphviz
cryptography

=== debian/changelog ===
dnsviz (0.11.1-1) unstable; urgency=medium

  * New upstream version 0.11.1

 -- Ondřej Surý <ondrej@debian.org>  Fri, 02 May 2025 12:02:11 +0200

=== debian/rules ===
--- 
+++ 
@@ -9,3 +9,5 @@
 override_dh_auto_clean:
 	$(MAKE) -C doc clean
 	dh_auto_clean
+
+override_dh_auto_test:
